Get uploaded files that match specified criteria
curl --request POST \
--url https://api.fabric.inc/v3/oms-imports/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"filters": [
{
"field": "import.statusCode",
"value": "INITIATED"
}
],
"sort": "-import.finishedAt"
}
'import requests
url = "https://api.fabric.inc/v3/oms-imports/search"
payload = {
"filters": [
{
"field": "import.statusCode",
"value": "INITIATED"
}
],
"sort": "-import.finishedAt"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: [{field: 'import.statusCode', value: 'INITIATED'}],
sort: '-import.finishedAt'
})
};
fetch('https://api.fabric.inc/v3/oms-imports/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/oms-imports/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
[
'field' => 'import.statusCode',
'value' => 'INITIATED'
]
],
'sort' => '-import.finishedAt'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/oms-imports/search"
payload := strings.NewReader("{\n \"filters\": [\n {\n \"field\": \"import.statusCode\",\n \"value\": \"INITIATED\"\n }\n ],\n \"sort\": \"-import.finishedAt\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/oms-imports/search")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": [\n {\n \"field\": \"import.statusCode\",\n \"value\": \"INITIATED\"\n }\n ],\n \"sort\": \"-import.finishedAt\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/oms-imports/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": [\n {\n \"field\": \"import.statusCode\",\n \"value\": \"INITIATED\"\n }\n ],\n \"sort\": \"-import.finishedAt\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"createdAt": "2022-08-01T18:03:28.483Z",
"importId": "62ff5c0bec0aed3c86202c32",
"attributes": {
"attribute": "12345"
},
"errorFileUrl": "https://example.com/tenant/import/bulk/1654680575676.csv?X-Amz-Security-Token=IQoJb3JpZ2",
"fileName": "orderUpload.csv",
"finishedAt": "2022-08-01T18:03:28.483Z",
"importCount": {
"error": 2000,
"processed": 8000,
"uploaded": 10000
},
"module": "ORDER",
"originalFileUrl": "https://example.com/tenant/import/bulk/1654680575676.csv?X-Amz-Security-Token=IQoJb3JpZ2",
"statusCode": "INITIATED",
"type": "BULK",
"updatedAt": "2022-08-01T20:03:28.483Z"
}
],
"pagination": {
"count": 1000,
"limit": 10,
"offset": 1
}
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Imports
Get uploaded files that match specified criteria
Get uploaded files that match specified criteria. Returned as paginated records.
POST
/
oms-imports
/
search
Get uploaded files that match specified criteria
curl --request POST \
--url https://api.fabric.inc/v3/oms-imports/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"filters": [
{
"field": "import.statusCode",
"value": "INITIATED"
}
],
"sort": "-import.finishedAt"
}
'import requests
url = "https://api.fabric.inc/v3/oms-imports/search"
payload = {
"filters": [
{
"field": "import.statusCode",
"value": "INITIATED"
}
],
"sort": "-import.finishedAt"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: [{field: 'import.statusCode', value: 'INITIATED'}],
sort: '-import.finishedAt'
})
};
fetch('https://api.fabric.inc/v3/oms-imports/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/oms-imports/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
[
'field' => 'import.statusCode',
'value' => 'INITIATED'
]
],
'sort' => '-import.finishedAt'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/oms-imports/search"
payload := strings.NewReader("{\n \"filters\": [\n {\n \"field\": \"import.statusCode\",\n \"value\": \"INITIATED\"\n }\n ],\n \"sort\": \"-import.finishedAt\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/oms-imports/search")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": [\n {\n \"field\": \"import.statusCode\",\n \"value\": \"INITIATED\"\n }\n ],\n \"sort\": \"-import.finishedAt\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/oms-imports/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": [\n {\n \"field\": \"import.statusCode\",\n \"value\": \"INITIATED\"\n }\n ],\n \"sort\": \"-import.finishedAt\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"createdAt": "2022-08-01T18:03:28.483Z",
"importId": "62ff5c0bec0aed3c86202c32",
"attributes": {
"attribute": "12345"
},
"errorFileUrl": "https://example.com/tenant/import/bulk/1654680575676.csv?X-Amz-Security-Token=IQoJb3JpZ2",
"fileName": "orderUpload.csv",
"finishedAt": "2022-08-01T18:03:28.483Z",
"importCount": {
"error": 2000,
"processed": 8000,
"uploaded": 10000
},
"module": "ORDER",
"originalFileUrl": "https://example.com/tenant/import/bulk/1654680575676.csv?X-Amz-Security-Token=IQoJb3JpZ2",
"statusCode": "INITIATED",
"type": "BULK",
"updatedAt": "2022-08-01T20:03:28.483Z"
}
],
"pagination": {
"count": 1000,
"limit": 10,
"offset": 1
}
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Query Parameters
Body
application/json
Import search request object
Was this page helpful?
